import classNames from "classnames";
import React, { useRef } from "react";
import { TabPanelContext } from "./TabPanelContext";
export function TabPanelNode(props) {
    var prefixCls = props.prefixCls, className = props.className, style = props.style, active = props.active, disabled = props.disabled, tabKey = props.tabKey, children = props.children, lazy = props.lazy, destroyInactiveTabPane = props.destroyInactiveTabPane;
    var cached = useRef(active);
    var classString = classNames(prefixCls + "-tabpanel", className, {
        active: active,
        disabled: disabled,
    });
    if (!active && (destroyInactiveTabPane || (lazy && !cached.current))) {
        // 输出占位符而不是 null, 避免动画Content, 计算 100% 时候不正确
        return (React.createElement("div", { role: "tabpanel", "data-content-key": tabKey, style: style, className: classString, "aria-hidden": !active }, ""));
    }
    else if (!cached.current) {
        // 标记已经缓存过 tabPanel了
        cached.current = true;
    }
    return (React.createElement("div", { role: "tabpanel", "data-content-key": tabKey, style: style, className: classString, "aria-hidden": !active },
        React.createElement(TabPanelContext.Provider, { value: { tabKey: tabKey } }, children)));
}
export default React.memo(TabPanelNode);
//# sourceMappingURL=TabPanelNode.js.map